%define	version 0.5.6
%define release alt3

%def_enable gtk1


Summary: 	The Smooth engine for GTK+-2.x
Name: 		gtk2-smooth-engine
Version: 	%version
Release: 	%release
License:	LGPL
URL: 		http://sourceforge.net/projects/smooth-engine/
Source0: 	gtk-smooth-engine-%version.tar.bz2
Patch: 		gtk-smooth-engine-0.5.6-alt-2.4.0-compat.patch
Group: 		Graphical desktop/GNOME

# Automatically added by buildreq on Sat Jan 10 2004
BuildRequires: XFree86-devel glib2-devel libatk-devel libdb4 libgtk+2-devel libpango-devel libtool-common pkgconfig

%description
The Smooth engine for GTK+-2.x

%if_enabled gtk1
%package -n gtk1-smooth-engine
Summary: 	The Smooth engine for GTK+-1.x
Group: 		Graphical desktop/GNOME
BuildRequires:  gdk-pixbuf-devel glib-devel gtk+-devel
BuildRequires:	gtk+-devel >= 1.2.9
BuildRequires:	glib >= 1.2.9

%description -n gtk1-smooth-engine
The Smooth engine for GTK+-1.x
%endif

%prep
%setup -q -n gtk-smooth-engine-%version
%patch -p1

%build
%__aclocal
%if_enabled gtk1
%configure --enable-gtk-1
%else
%configure --disable-gtk-1
%endif

%make_build

%install
make install DESTDIR=%buildroot

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%if_enabled gtk1
%post -n gtk1-smooth-engine -p /sbin/ldconfig

%postun -n gtk1-smooth-engine -p /sbin/ldconfig
%endif


%files
%_libdir/gtk-2.0/*/*/*

%if_enabled gtk1
%files -n gtk1-smooth-engine
%_libdir/gtk/*/*/*
%endif

%changelog
* Sat Apr 17 2004 Alexey Morozov <morozov@altlinux.org> 0.5.6-alt3
- re-build with GTK+-2.4
- added GTK-2.4 macros deprecation compatibility patch

* Thu Apr 01 2004 Alexey Morozov <morozov@altlinux.org> 0.5.6-alt2
- soften libdb4 dependency 

* Thu Feb 12 2004 Alexey Morozov <morozov@altlinux.org> 0.5.6-alt1
- spec cleanup (if_with -> if_enabled)

* Sat Jan 10 2004 Alexey Morozov <morozov@altlinux.org> 0.5.6-alt0.aam1
- Initial build for ALT Linux (spec is based on original one)

